;;; Minimal setup to load latest `org-mode'

;; activate debugging
(setq debug-on-error t
      debug-on-signal nil
      debug-on-quit nil)

;; add latest org-mode to load path
(add-to-list 'load-path (expand-file-name "/path/to/org-mode/lisp"))
(add-to-list 'load-path (expand-file-name "/path/to/org-mode/contrib/lisp" t))

;; org-agenda keybinding
(define-key global-map "\C-ca" 'org-agenda)

;; attempt to reproduce habit issue
(setq org-modules '(org-habit))
(setq org-agenda-files '("/path/to/habit.org"))

;; show habits in the future
(setq org-habit-show-habits-only-for-today nil)

;; show all habits today
(setq org-habit-show-all-today t)
